local WorldPhysics = require 'entities/physics/WorldPhysics'

local RedWave = {}

function RedWave:load()
  RedWave.physics = {}
    RedWave.physics.wave1 = {}
      RedWave.physics.wave1.body = love.physics.newBody( world, -500,0, 'dynamic' )
      RedWave.physics.wave1.body:setGravityScale( 0 )
      --RedWave.physics.wave1.body:setLinearVelocity( 400,0 )
      RedWave.physics.wave1.shape = love.physics.newChainShape( false, -20000,-15000, -6000,-15000,

      -3000,-2000, -2500,-1500, -2000,-1000, -1500,0, -1000,500, 0,950,

      200000,1000, 200000,5000,
      -20000,5000
      )
      RedWave.physics.wave1.fixture = love.physics.newFixture( RedWave.physics.wave1.body,RedWave.physics.wave1.shape, 1 )
      RedWave.physics.wave1.fixture:setSensor( true )
      RedWave.physics.wave1.fixture:setCategory( 10 )
    RedWave.physics.deathEdge = {}
      RedWave.physics.deathEdge.body = love.physics.newBody( world, 0,0, 'static' )
      RedWave.physics.deathEdge.shape = love.physics.newEdgeShape( -20000,1600, 60000,1600 )
      RedWave.physics.deathEdge.fixture = love.physics.newFixture( RedWave.physics.deathEdge.body,RedWave.physics.deathEdge.shape, 1 )
      RedWave.physics.deathEdge.fixture:setSensor( true )
      RedWave.physics.deathEdge.fixture:setCategory( 13 )
end


function RedWave:draw1()
  love.graphics.setColor( 255,0,0, 80 )
  love.graphics.polygon( 'fill', RedWave.physics.wave1.body:getWorldPoints( RedWave.physics.wave1.shape:getPoints() ) )
  love.graphics.setColor( 255,0,0 )
  love.graphics.polygon( 'line', RedWave.physics.wave1.body:getWorldPoints( RedWave.physics.wave1.shape:getPoints() ) )
end
function RedWave:draw2()

love.graphics.setColor( 255,255,0, 20 )
love.graphics.polygon( 'fill', RedWave.physics.wave1.body:getWorldPoints( RedWave.physics.wave1.shape:getPoints() ) )
end

return RedWave
