local WorldPhysics = require 'entities/physics/WorldPhysics'
local WheelPhysics = require 'entities/player/WheelPhysics'

local Level0 = {}

function Level0:load()
  Level0.physics = {}
    Level0.physics.planet1 = {}
      Level0.physics.planet1.body = love.physics.newBody( world, 0,0, 'static' )
      Level0.physics.planet1.shape = love.physics.newChainShape( true, -1000,1000,

      -500,0, 20,0, 1000,200, 2000,400, 3000,350, 4000,300, 5000,200, 6000,250, 7000,200, 8000,100, 9000,0,

      10000,4000 )
      Level0.physics.planet1.fixture = love.physics.newFixture( Level0.physics.planet1.body,Level0.physics.planet1.shape, 1 )
      Level0.physics.planet1.fixture:setCategory( 1 )

    Level0.physics.planet2 = {}
      Level0.physics.planet2.body = love.physics.newBody( world, 13000,0, 'static' )
      Level0.physics.planet2.shape = love.physics.newChainShape( true, -500,1000,

      -500,0, 1000,300, 2000,200, 4000,0, 5000,800, 7000,900, 10000,900, 11000,800, 13000,3000,

      10000,4000, 5000,3500 )
      Level0.physics.planet2.fixture = love.physics.newFixture( Level0.physics.planet2.body,Level0.physics.planet2.shape, 1 )
      Level0.physics.planet2.fixture:setCategory( 1 )


    Level0.physics.skyEdge1 = {}
      Level0.physics.skyEdge1.body = love.physics.newBody( world, 19000,0, 'static' )
      Level0.physics.skyEdge1.shape = love.physics.newEdgeShape( 600,-450, 15000,-100 )
      Level0.physics.skyEdge1.fixture = love.physics.newFixture( Level0.physics.skyEdge1.body,Level0.physics.skyEdge1.shape, 1 )
      Level0.physics.skyEdge1.fixture:setCategory( 1 )

      Level0.physics.skyEdge2 = {}
        Level0.physics.skyEdge2.body = love.physics.newBody( world, 27000,0, 'static' )
        Level0.physics.skyEdge2.shape = love.physics.newEdgeShape( 0,500, 10000,0 )
        Level0.physics.skyEdge2.fixture = love.physics.newFixture( Level0.physics.skyEdge2.body,Level0.physics.skyEdge2.shape, 1 )
        Level0.physics.skyEdge2.fixture:setCategory( 1 )

        Level0.physics.skyEdge3 = {}
          Level0.physics.skyEdge3.body = love.physics.newBody( world, 39000,0, 'static' )
          Level0.physics.skyEdge3.shape = love.physics.newEdgeShape( 1800,100, 8000,0 )
          Level0.physics.skyEdge3.fixture = love.physics.newFixture( Level0.physics.skyEdge3.body,Level0.physics.skyEdge3.shape, 1 )
          Level0.physics.skyEdge3.fixture:setCategory( 1 )

          Level0.physics.skyEdge4 = {}
            Level0.physics.skyEdge4.body = love.physics.newBody( world, 50500,0, 'static' )
            Level0.physics.skyEdge4.shape = love.physics.newEdgeShape( -200,-190, 2900,0 )
            Level0.physics.skyEdge4.fixture = love.physics.newFixture( Level0.physics.skyEdge4.body,Level0.physics.skyEdge4.shape, 1 )
            Level0.physics.skyEdge4.fixture:setCategory( 1 )

      Level0.physics.planetWin = {}
        Level0.physics.planetWin.body = love.physics.newBody( world, 60000,900, 'static' )
        Level0.physics.planetWin.shape = love.physics.newCircleShape( 600 )
        Level0.physics.planet1.fixture = love.physics.newFixture( Level0.physics.planetWin.body,Level0.physics.planetWin.shape, 1 )
        Level0.physics.planet1.fixture:setCategory( 16 )


end
--[[function beginContact( fixtureOne, fixtureTwo, contact )
  if ( fixtureOne:getCategory() == 1 and fixtureTwo:getCategory() == 2 ) or
  ( fixtureOne:getCategory() == 2 and fixtureTwo:getCategory() == 1 ) then
    wheelTouching = true
  end
end
function endContact( fixtureOne, fixtureTwo, contact )
  if ( fixtureOne:getCategory() == 1 and fixtureTwo:getCategory() == 2 ) or
  ( fixtureTwo:getCategory() == 1 and fixtureTwo:getCategory() == 2 ) then
    wheelTouching = false
  end
end]]

function Level0:draw1()
  love.graphics.setColor( 0,255,0, 50 )
  love.graphics.polygon( 'fill', Level0.physics.planet1.body:getWorldPoints( Level0.physics.planet1.shape:getPoints() ) )
  love.graphics.setColor( 0,255,0 )
  love.graphics.polygon( 'line', Level0.physics.planet1.body:getWorldPoints( Level0.physics.planet1.shape:getPoints() ) )

  love.graphics.setColor( 0,255,0, 50 )
  love.graphics.polygon( 'fill', Level0.physics.planet2.body:getWorldPoints( Level0.physics.planet2.shape:getPoints() ) )
  love.graphics.setColor( 0,255,0 )
  love.graphics.polygon( 'line', Level0.physics.planet2.body:getWorldPoints( Level0.physics.planet2.shape:getPoints() ) )

  love.graphics.setColor( 0,255,0 )
  love.graphics.circle("fill", Level0.physics.planetWin.body:getX(), Level0.physics.planetWin.body:getY(), Level0.physics.planetWin.shape:getRadius())
  love.graphics.setColor( 255,255,255, 60 )
  love.graphics.circle( 'line', Level0.physics.planetWin.body:getX(), Level0.physics.planetWin.body:getY(), Level0.physics.planetWin.shape:getRadius() )


  love.graphics.setColor( 0,200,255 )
  love.graphics.line( Level0.physics.skyEdge1.body:getWorldPoints( Level0.physics.skyEdge1.shape:getPoints() ) )
  love.graphics.line( Level0.physics.skyEdge2.body:getWorldPoints( Level0.physics.skyEdge2.shape:getPoints() ) )
  love.graphics.line( Level0.physics.skyEdge3.body:getWorldPoints( Level0.physics.skyEdge3.shape:getPoints() ) )
  love.graphics.line( Level0.physics.skyEdge4.body:getWorldPoints( Level0.physics.skyEdge4.shape:getPoints() ) )

end
function Level0:draw2()
  love.graphics.setColor( 0,0,255, 15 )
  love.graphics.polygon( 'fill', Level0.physics.planet1.body:getWorldPoints( Level0.physics.planet1.shape:getPoints() ) )
  love.graphics.setColor( 0,0,255, 85 )
  love.graphics.polygon( 'line', Level0.physics.planet1.body:getWorldPoints( Level0.physics.planet1.shape:getPoints() ) )

  love.graphics.setColor( 0,0,255, 15 )
  love.graphics.polygon( 'fill', Level0.physics.planet2.body:getWorldPoints( Level0.physics.planet2.shape:getPoints() ) )
  love.graphics.setColor( 0,0,255, 85 )
  love.graphics.polygon( 'line', Level0.physics.planet2.body:getWorldPoints( Level0.physics.planet2.shape:getPoints() ) )

  love.graphics.setColor( 0,255,0 )
  love.graphics.circle("fill", Level0.physics.planetWin.body:getX(), Level0.physics.planetWin.body:getY(), Level0.physics.planetWin.shape:getRadius())
  love.graphics.setColor( 255,255,255, 60 )
  love.graphics.circle( 'line', Level0.physics.planetWin.body:getX(), Level0.physics.planetWin.body:getY(), Level0.physics.planetWin.shape:getRadius() )

  love.graphics.setColor( 0,200,255 )
  love.graphics.line( Level0.physics.skyEdge1.body:getWorldPoints( Level0.physics.skyEdge1.shape:getPoints() ) )
  love.graphics.line( Level0.physics.skyEdge2.body:getWorldPoints( Level0.physics.skyEdge2.shape:getPoints() ) )
  love.graphics.line( Level0.physics.skyEdge3.body:getWorldPoints( Level0.physics.skyEdge3.shape:getPoints() ) )
  love.graphics.line( Level0.physics.skyEdge4.body:getWorldPoints( Level0.physics.skyEdge4.shape:getPoints() ) )

  love.graphics.setColor( 0,255,0 )
  love.graphics.circle("fill", Level0.physics.planetWin.body:getX(), Level0.physics.planetWin.body:getY(), Level0.physics.planetWin.shape:getRadius())
  love.graphics.setColor( 255,255,255, 60 )
  love.graphics.circle( 'line', Level0.physics.planetWin.body:getX(), Level0.physics.planetWin.body:getY(), Level0.physics.planetWin.shape:getRadius() )


  --[[ love.graphics.setColor( 0,0,255, 15 )
  love.graphics.polygon( 'fill', Level0.physics.planet3.body:getWorldPoints( Level0.physics.planet3.shape:getPoints() ) )
  love.graphics.setColor( 0,0,255, 85 )
  love.graphics.polygon( 'line', Level0.physics.planet3.body:getWorldPoints( Level0.physics.planet3.shape:getPoints() ) )]]

end

return Level0
